function ExportSurfplot(	strFileName,		...
							afXDomain,			...
							afYDomain,			...
							aafMatrix,			...
							iXSamplingPeriod,	...
							iYSamplingPeriod	)
	%
	% open the file
	fid = fopen(strFileName, 'w');
	%
	% for readability
	iNumberOfXSamples 	= size( aafMatrix, 1 );
	iNumberOfYSamples  	= size( aafMatrix, 2 );
	%
	% checks
	if(  iNumberOfXSamples ~= numel(afXDomain)  )
		error('ExportInformationForPgfplots_3DPlots: x dimension inconsistent. iNumberOfXSamples = %d, numel(afXDomain) = %d', iNumberOfXSamples, numel(afXDomain));
	end;%
	if(  iNumberOfYSamples ~= numel(afYDomain)  )
		error('ExportInformationForPgfplots_3DPlots: y dimension inconsistent. iNumberOfYSamples = %d, numel(afYDomain) = %d', iNumberOfYSamples, numel(afYDomain));
	end;%
	%
	% write the data -- not the last ones
	for iYSample = 1:iYSamplingPeriod:iNumberOfYSamples-1;
		%
		for iXSample = 1:iXSamplingPeriod:iNumberOfXSamples-1;
			%
			fprintf(	fid,							...
						'%.5f %.5f %.5f\n',				...
						afXDomain(iXSample),			...
						afYDomain(iYSample),			...
						aafMatrix(iXSample, iYSample)	);
			%
		end;%
		fprintf(	fid,							...
					'%.5f %.5f %.5f\n',				...
					afXDomain(iNumberOfXSamples),	...
					afYDomain(iYSample),			...
					aafMatrix(iNumberOfXSamples, iYSample)	);
		%
		fprintf(fid, '\n');
		%
	end;%
	%
	% the last one should always be written
	for iXSample = 1:iXSamplingPeriod:iNumberOfXSamples-1;
		%
		fprintf(	fid,							...
					'%.5f %.5f %.5f\n',				...
					afXDomain(iXSample),			...
					afYDomain(iNumberOfYSamples),	...
					aafMatrix(iXSample, iNumberOfYSamples)	);
		%
	end;%
	fprintf(	fid,							...
				'%.5f %.5f %.5f\n',				...
				afXDomain(iNumberOfXSamples),	...
				afYDomain(iNumberOfYSamples),	...
				aafMatrix(iNumberOfXSamples, iNumberOfYSamples)	);
	%
	% close the file
	fclose(fid);
	clear fid;
	%
	fprintf('%s exported\n', strFileName);
	%
end %
