% discretize the impulse response wrt the novel time
g_discrete = zeros(N, 1);
u_discrete = zeros(N, 1);
for k = 1:(numel(kk)-1)
	g_discrete(k) = sum( g_continuous( max(Delta*(k-1), 1) : Delta*k) ) / discretization_period_continuous;
	u_discrete(k) = u_continuous( round(Delta*k - 0.5*Delta) );
end;%
U_discrete = flipud(hankel(flipud(u_discrete)));
y_discrete = U_discrete * g_discrete;

% figure(3)
% plot(t(kk),g_discrete, 'b');
% hold on;
% plot(t(kk),u_discrete, 'r');
% plot(t(kk),y_discrete, 'k');
% hold off;
% 
% figure(4)
% plot(t,u_continuous, 'b');
% hold on;
% stairs(t(kk),u_discrete, 'r');
% hold off;
% legend('cont.', 'discr.');
% 
% figure(5)
% plot(t,y_continuous, 'b');
% hold on;
% plot(t(kk),y_discrete, 'r');
% hold off;
% legend('cont.', 'discr.');

% export the results
MatlabToTikZ.ExportLineplot(											...
	sprintf('../../Datasets/SS/discrete-time-signals_N%d.txt', N),		...
	[ t(kk), u_discrete, g_discrete, y_discrete ],						...
	[ {'t'}, {'u_discrete'}, {'g_discrete'}, {'y_discrete'} ]			);

